com.impinj.stp

## Class StpApi.Version.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.Version.Builder>
      - - com.impinj.stp.StpApi.Version.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.VersionOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.Version

      public static final class StpApi.Version.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.Version.Builder>
      implements StpApi.VersionOrBuilder

  Protobuf type `Impinj.STP.Version` A version of part of the system. The version number is usually in the form "major.minor.maintenance.build-ident".

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.Version` | `build()`
    `StpApi.Version` | `buildPartial()`
    `StpApi.Version.Builder` | `clear()`
    `StpApi.Version.Builder` | `clearBuild()`
    `StpApi.Version.Builder` | `clearIdent()` A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
    `StpApi.Version.Builder` | `clearMaintenance()`
    `StpApi.Version.Builder` | `clearMajor()` Also used for single number versions.
    `StpApi.Version.Builder` | `clearMinor()`
    `StpApi.Version.Builder` | `clearVersionID()`
    `StpApi.Version.Builder` | `clone()`
    `int` | `getBuild()`
    `StpApi.Version` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `java.lang.String` | `getIdent()` A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
    `com.google.protobuf.ByteString` | `getIdentBytes()` A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
    `int` | `getMaintenance()`
    `int` | `getMajor()` Also used for single number versions.
    `int` | `getMinor()`
    `StpApi.VersionType` | `getVersionID()`
    `boolean` | `hasBuild()`
    `boolean` | `hasIdent()` A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
    `boolean` | `hasMaintenance()`
    `boolean` | `hasMajor()` Also used for single number versions.
    `boolean` | `hasMinor()`
    `boolean` | `hasVersionID()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.Version.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.Version.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.Version.Builder` | `mergeFrom(StpApi.Version other)`
    `StpApi.Version.Builder` | `setBuild(int value)`
    `StpApi.Version.Builder` | `setIdent(java.lang.String value)` A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
    `StpApi.Version.Builder` | `setIdentBytes(com.google.protobuf.ByteString value)` A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
    `StpApi.Version.Builder` | `setMaintenance(int value)`
    `StpApi.Version.Builder` | `setMajor(int value)` Also used for single number versions.
    `StpApi.Version.Builder` | `setMinor(int value)`
    `StpApi.Version.Builder` | `setVersionID(StpApi.VersionType value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Version.Builder>`

    - #### clear

          public StpApi.Version.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Version.Builder>`

    - #### clone

          public StpApi.Version.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Version.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Version.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.Version getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.Version build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.Version buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.Version.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Version.Builder>`

    - #### mergeFrom

          public StpApi.Version.Builder mergeFrom(StpApi.Version other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.Version.Builder>`

    - #### mergeFrom

          public StpApi.Version.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.Version.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasVersionID

          public boolean hasVersionID()

      Specified by:
        `hasVersionID` in interface `StpApi.VersionOrBuilder`

    - #### getVersionID

          public StpApi.VersionType getVersionID()

      Specified by:
        `getVersionID` in interface `StpApi.VersionOrBuilder`

    - #### setVersionID

          public StpApi.Version.Builder setVersionID(StpApi.VersionType value)

    - #### clearVersionID

          public StpApi.Version.Builder clearVersionID()

    - #### hasMajor

          public boolean hasMajor()

      Also used for single number versions.
      Specified by:
        `hasMajor` in interface `StpApi.VersionOrBuilder`

    - #### getMajor

          public int getMajor()

      Also used for single number versions.
      Specified by:
        `getMajor` in interface `StpApi.VersionOrBuilder`

    - #### setMajor

          public StpApi.Version.Builder setMajor(int value)

      Also used for single number versions.

    - #### clearMajor

          public StpApi.Version.Builder clearMajor()

      Also used for single number versions.

    - #### hasMinor

          public boolean hasMinor()

      Specified by:
        `hasMinor` in interface `StpApi.VersionOrBuilder`

    - #### getMinor

          public int getMinor()

      Specified by:
        `getMinor` in interface `StpApi.VersionOrBuilder`

    - #### setMinor

          public StpApi.Version.Builder setMinor(int value)

    - #### clearMinor

          public StpApi.Version.Builder clearMinor()

    - #### hasMaintenance

          public boolean hasMaintenance()

      Specified by:
        `hasMaintenance` in interface `StpApi.VersionOrBuilder`

    - #### getMaintenance

          public int getMaintenance()

      Specified by:
        `getMaintenance` in interface `StpApi.VersionOrBuilder`

    - #### setMaintenance

          public StpApi.Version.Builder setMaintenance(int value)

    - #### clearMaintenance

          public StpApi.Version.Builder clearMaintenance()

    - #### hasBuild

          public boolean hasBuild()

      Specified by:
        `hasBuild` in interface `StpApi.VersionOrBuilder`

    - #### getBuild

          public int getBuild()

      Specified by:
        `getBuild` in interface `StpApi.VersionOrBuilder`

    - #### setBuild

          public StpApi.Version.Builder setBuild(int value)

    - #### clearBuild

          public StpApi.Version.Builder clearBuild()

    - #### hasIdent

          public boolean hasIdent()

      A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
      Specified by:
        `hasIdent` in interface `StpApi.VersionOrBuilder`

    - #### getIdent

          public java.lang.String getIdent()

      A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
      Specified by:
        `getIdent` in interface `StpApi.VersionOrBuilder`

    - #### getIdentBytes

          public com.google.protobuf.ByteString getIdentBytes()

      A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.
      Specified by:
        `getIdentBytes` in interface `StpApi.VersionOrBuilder`

    - #### setIdent

          public StpApi.Version.Builder setIdent(java.lang.String value)

      A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.

    - #### clearIdent

          public StpApi.Version.Builder clearIdent()

      A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.

    - #### setIdentBytes

          public StpApi.Version.Builder setIdentBytes(com.google.protobuf.ByteString value)

      A semicolon-separated list of additional version information, such as the name of the component and if a "Final" or "Dev" build was done.